@import "libs/shared/assets/src/global-style/variable";

:host {
  ::ng-deep {
    .ant-checkbox-disabled.ant-checkbox-checked {
      .ant-checkbox-inner {
        background-color: $bg-primary-default;
        border-color: $bg-primary-default !important;

        &::after {
          border-color: $search-border-color;
        }
      }
    }
    .ant-upload-disabled {
      opacity: 0.38;
    }
  }
}

nz-card {
  .consultCheckbox {
    margin: 2% auto 2% auto;
  }
  border-radius: 8px;
  margin-bottom: 15px;
  h3 {
    font-weight: 700;
    padding-bottom: 2em;
  }
  h4 {
    font-weight: 700;
  }
}
.handleOffer {
  margin-top: 20px !important;
  .doConsult {
    margin-bottom: 10px;
  }
}

.title-section {
  color: $label-color;
  font-size: 14px;
  font-family: avertaB, sans-serif;
}

.emp-infoTitle {
  color: $label-color;
  font-size: 14px;
  font-family: avertaB, sans-serif;
}

.emp-info {
  border: none;
  width: 100%;
  height: 42px;
  padding-bottom: 10px;
  background-color: $white-color;
  color: $text-hover;
  margin-top: 8px;
  font-weight: bold;
}

.button_new {
  margin-top: 30px;
}

textarea {
  margin-top: 6px;
  border-radius: 8px;
}

.consultationTable {
  em {
    font-size: 18px;
  }

  &__dateIdea {
    margin-left: 10px;
  }

  &__newLine {
    text-align: center;
    font-size: 16px;

    a {
      color: $primary-button-color;
      font-weight: 600;
    }
  }
}

.listConsultationBefore {
  .calendar {
    font-size: 15px;
    margin-left: 0;
  }
  .consultDate {
    margin-left: 10px;
  }
  .matButton {
    margin-left: 15px;
  }
  .label_button {
    margin-left: 10px;
  }
}

.footer-card {
  margin-top: 1em;
  .effectiveDateTime {
    margin-top: 4px;
  }
}

.ant-input {
  padding: 7px 0 7px 15px;
  height: 44px;
  border-radius: 8px;
}
.ant-input-number {
  padding: 7px 0 7px 15px;
  height: 44px;
  border-radius: 8px;
  width: 100%;
}

::ng-deep .effectiveDateTime {
  .ant-input-number-handler-wrap {
    border-bottom-right-radius: 8px;
    border-top-right-radius: 8px;
  }
}
.consultation-item {
  margin-bottom: 1.5rem;
  .title-button {
    display: flex;
    justify-content: space-between;
  }
  .label__required {
    color: $bg-error-default;
  }
}


#tab2,
#tab3,
#tab4,
#tab5,
#tab7 {
  .ant-table-wrapper {
    ::ng-deep {
      .ant-table {
        .ant-table-thead > tr > td {
          font-weight: 400;
        }
        border-radius: 0.5rem;
        .ant-table-thead > tr > th {
          background: $color-th;
          font-weight: 600;
          color: $color-text-header;
        }

        .ant-table-tbody > tr > td {
          color: $color-text-header;
        }

        .ant-table-tbody > tr.ant-table-row:hover > td {
          background: $hover-table-row;
        }
        tr:hover {
          cursor: pointer;
        }
      }

      .ant-tag-blue {
        background-color: $background-active-status-green;
        color: $active-status-green;
        border-radius: 3px;
      }
      .ant-tag-red {
        background: $background-active-status-red;
        color: $active-status-red;
        border-radius: 3px;
      }
    }
  }
}

.iconLog {
  display: block;
  margin-top: 3px;
  margin-left: 10px;
}

.listHandleOffer {
  .calendar {
    font-size: 15px;
    margin-left: 0;
  }
  .effectiveDate {
    margin-left: 10px;
  }
  .icon-editHandleOffer {
    font-size: 16px;
    margin-left: 3px;
  }
}

.listSalary {
  &__proposeCode {
    width: 155px;
  }
  &__display {
    width: 70px;
  }
  &__dateRequest {
    width: 140px;
  }
  &__monthSalary {
    width: 150px;
  }
  &__currentSalaryInfo {
    width: 850px;
  }
  &__basePropose {
    width: 100px;
  }
  &__nonWageMode {
    width: 850px;
  }
  &__sendSalaryPerson {
    width: 150px;
  }
}

.text-center {
  text-align: center;
}

.text-ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.interview {
  padding-top: 30px;
}


.listEmpIconButton.anticon-more {
  font-size: 22px;
  margin-left: 7px;
  &:hover {
    cursor: pointer;
    color: $hover-color;
    border-radius: 2px;
  }
}

.menu__item {
  width: 100%;
  border-bottom: 1px solid $input-border-color;
  padding: 10px 0;
}

.subButton_dropdown {
  padding: 0 20px;
}

.icon_dropdown {
  font-size: 16px;
}

.text-add {
  margin-left: 10px;
}

.printReport {
  float: right;
}

.label__required {
  color: $bg-error-default;
}

::ng-deep .interviewFile {
  .ant-upload-span {
    margin-top: -30px;
  }
}

::ng-deep .cancelPlanButton {
  .ant-btn {
    margin-top: 30px;
  }
}

.maximumTime {
  width: 45%;
  float: left;
}

.typeMaximumTime {
  width: 45%;
  float: right;
}

.title_Text_Table_Concurrent {
  font-weight: bold;
  font-size: 16px;
}

.sentDate {
  margin-left: 10px;
}